Ticket #9872

MIME encode の結果に空行が入る
Open Date: 2007-01-31 12:12 Last Update: 2007-03-26 09:10

Reporter:
(Anonymous)
Owner:
(None)
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

MIME encode の挙動がおかしいようです。

% echo "From:
12345678901234567890123456789012345678901234567890123456789\nTo:
foo@example.com" | ./nkf -M
From:
12345678901234567890123456789012345678901234567890123456789
To: foo@example.com
# OK

(長い ASCII 文字列のときに =?EUC-JP?B? が付く、空行が入る)
% echo "From:
123456789012345678901234567890123456789012345678901234567890\nTo:
foo@example.com" | ./nkf -M
From:
=?EUC-JP?B?123456789012345678901234567890123456789012345678901234567890?=


To: foo@example.com
# NG

(空行が入る)
% echo "From: テストテストテスト <bar@example.com>\nTo:
foo@example.com" | ./nkf -M
From:
=?ISO-2022-JP?B?GyRCJUYlOSVIJUYlOSVIJUYlOSVIGyhC?=
<bar@example.com>

To: foo@example.com
# NG

CVS 最新の nkf で試しました。
% ./nkf -V
Network Kanji Filter Version 2.0.8 (2007-01-28)
Copyright (C) 1987, FUJITSU LTD. (I.Ichikawa),2000 S.
Kono, COW
Copyright (C) 2002-2006 Kono, Furukawa, Naruse, mastodon

よろしくお願いします。

Ticket History (3/7 Histories)

2007-01-31 12:20 Updated by: None
Comment
Logged In: NO

すみません。
登録する際に改行が入ってしまったようです。
"From:" や "To:" の直後の改行は無いものとして読んでください。
2007-03-14 03:52 Updated by: naruse
Comment
Logged In: YES
user_id=3487

バグですね、nkf.c 1.121で修正しました。
報告ありがとうございました。
2007-03-14 03:53 Updated by: naruse
  • Resolution Update from None to Fixed
2007-03-14 12:32 Updated by: None
Comment
Logged In: NO

対応ありがとうございます。

空行の問題は解決しました。
ただ、まだ folding 処理がおかしいようです。
継続行の頭にホワイトスペースが入っていません。

% echo "From:
123456789012345678901234567890123456789012345678901234567890
<bar@example.com>\nTo: foo@example.com" | ./nkf -M
From:
=?US-ASCII?Q?123456789012345678901234567890123456789012345678901234567890?=

<bar@example.com>
To: foo@example.com

よろしくお願いします。
2007-03-15 14:39 Updated by: naruse
Comment
Logged In: YES
user_id=3487

nkf.c 1.122で修正しました。
2007-03-15 16:30 Updated by: None
Comment
Logged In: NO

直っているのを確認しました。
どうもありがとうございました。
2007-03-26 09:10 Updated by: naruse
  • Ticket Close date is changed to 2007-03-26 09:10
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login